> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unwhitelist address

> The endpoint allows the deletion of a specific address from the whitelist of a wallet.



## OpenAPI

````yaml delete /v1/wallets/{walletId}/addresses/whitelist/{addressId}
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/addresses/whitelist/{addressId}:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: YOUR_WALLET_ID
      - name: addressId
        in: path
        required: true
        schema:
          type: string
          example: ADDRESS_ID
    delete:
      tags:
        - Addresses
      summary: Unwhitelist address
      description: >-
        The endpoint allows the deletion of a specific address from the
        whitelist of a wallet.
      operationId: unwhitelistAddress
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      address:
                        type: string
                        example: '0x3375154fa32Cb434B044E73a2582C4D2E6518AE4'
                      blockchain:
                        type: object
                        properties:
                          createdAt:
                            type: string
                            example: '2024-05-27T08:31:14.966Z'
                          derivationPath:
                            type: string
                            example: m/44'/60'/0'/0
                          id:
                            type: string
                            example: 74733889-4ecd-403e-9840-94e87c043f24
                          isActive:
                            type: boolean
                            example: true
                          isEvmCompatible:
                            type: boolean
                            example: true
                          logoUrl:
                            type: string
                            example: >-
                              https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771445007/crypto-assets/base.png
                          name:
                            type: string
                            example: base
                          slug:
                            type: string
                            example: base
                          symbol:
                            type: string
                            example: eth
                          tokenStandard:
                            nullable: true
                            example: null
                          updatedAt:
                            type: string
                            example: '2024-10-27T07:52:16.115Z'
                      configurations:
                        type: object
                        properties:
                          aml:
                            type: object
                            properties:
                              message:
                                type: string
                                example: Address is not sanctioned
                              provider:
                                type: string
                                example: ofac
                              status:
                                type: string
                                example: success
                      createdAt:
                        type: string
                        example: '2024-11-11T16:57:19.160Z'
                      derivationPath:
                        nullable: true
                        example: null
                      id:
                        type: string
                        example: b87901a2-45c1-4d2d-8ee7-205ef0c4ddf1
                      isActive:
                        type: boolean
                        example: false
                      metadata:
                        nullable: true
                        example: null
                      name:
                        type: string
                        example: External address
                      network:
                        type: string
                        example: testnet
                      type:
                        type: string
                        example: EXTERNAL
                      updatedAt:
                        type: string
                        example: '2024-11-11T16:57:19.160Z'
                  message:
                    type: string
                    example: Address unwhitelisted successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      address: '0x3375154fa32Cb434B044E73a2582C4D2E6518AE4'
                      blockchain:
                        createdAt: '2024-05-27T08:31:14.966Z'
                        derivationPath: m/44'/60'/0'/0
                        id: 74733889-4ecd-403e-9840-94e87c043f24
                        isActive: true
                        isEvmCompatible: true
                        logoUrl: >-
                          https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771445007/crypto-assets/base.png
                        name: base
                        slug: base
                        symbol: eth
                        tokenStandard: null
                        updatedAt: '2024-10-27T07:52:16.115Z'
                      configurations:
                        aml:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                      createdAt: '2024-11-11T16:57:19.160Z'
                      derivationPath: null
                      id: b87901a2-45c1-4d2d-8ee7-205ef0c4ddf1
                      isActive: false
                      metadata: null
                      name: External address
                      network: testnet
                      type: EXTERNAL
                      updatedAt: '2024-11-11T16:57:19.160Z'
                    message: Address unwhitelisted successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````